/*
 * arch/arm/mach-ixp2000/ixp2000-gpio.c
 *
 * GPIO code for IXP2000 board
 * Using mach-ixp425/ixp425-gpio.c as a model
 *
 * Author: Jeff Daly <jeffrey.daly@intel.com>
 *
 * Copyright 2002 Intel Corp.
 *
 *  This program is free software; you can redistribute  it and/or modify it
 *  under  the terms of  the GNU General  Public License as published by the
 *  Free Software Foundation;  either version 2 of the  License, or (at your
 *  option) any later version.
 */
#include <linux/module.h>
#include <asm/system.h>
#include <asm/irq.h>
#include <asm/mach/irq.h>
#include <asm/arch/hardware.h>

void gpio_line_config(int line, int style)
{
	int flags;

	local_irq_save(flags);

	if(style == GPIO_OUT) {
		/* if it's an output, it ain't an interrupt anymore */
		*IXP2000_GPIO_PDSR = (1 << line);
	} else if(style == GPIO_IN) {
		*IXP2000_GPIO_PDCR = (1 << line);
	}
		
	local_irq_restore(flags);
}	

EXPORT_SYMBOL(gpio_line_config);

