/*
 * FILE NAME
 *	include/asm-mips/vr4181a/smvr4181a.h
 *
 * BRIEF MODULE DESCRIPTION
 *	Include file for NEC SMVR4181A board.
 *
 * Author: Yoichi Yuasa
 *         yyuasa@mvista.com or source@mvista.com
 *
 * Copyright 2002,2003 MontaVista Software Inc.
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the
 *  Free Software Foundation; either version 2 of the License, or (at your
 *  option) any later version.
 *
 *  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED
 *  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 *  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 *  OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 *  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
 *  TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 *  USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef __NEC_SMVR4181A_H
#define __NEC_SMVR4181A_H

#include <asm/addrspace.h>

/*
 * Board specific address mapping
 */
#define INTERNAL_REGISTERS_BASE		KSEG1ADDR(0x0a000000)

#define DRAM_BASE			0x00000000
#define DRAM_SIZE			0x04000000

#define INTERNAL_PCI_WINDOW0_BASE	0x10000000
#define INTERNAL_PCI_WINDOW0_SIZE	0x02000000

#define EXTERNAL_ISA_MEMORY_BASE	0x12000000
#define EXTERNAL_ISA_MEMORY_SIZE	0x02000000

#define EXTERNAL_ISA_IO_BASE		0x14000000
#define EXTERNAL_ISA_IO_SIZE		0x02000000

#define INTERNAL_PCI_WINDOW1_BASE	0x16000000
#define INTERNAL_PCI_WINDOW1_SIZE	0x00200000

#define EXTERNAL_PCS3_BASE		0x16200000
#define EXTERNAL_PCS3_SIZE		0x00200000

#define ROM_BASE			0x1e000000
#define ROM_SIZE			0x02000000

#define IO_PORT_BASE			KSEG1ADDR(EXTERNAL_ISA_IO_BASE)
#define IO_PORT_RESOURCE_START		0
#define IO_PORT_RESOURCE_END		(EXTERNAL_PCS3_BASE +		\
					 EXTERNAL_PCS3_SIZE -		\
					 EXTERNAL_ISA_IO_BASE - 1)
#define IO_MEM_RESOURCE_START		INTERNAL_PCI_WINDOW0_BASE
#define IO_MEM_RESOURCE_END		(EXTERNAL_ISA_MEMORY_BASE +	\
					 EXTERNAL_ISA_MEMORY_SIZE - 1)

#define PCI_IO_RESOURCE_START		(INTERNAL_PCI_WINDOW1_BASE -	\
					 EXTERNAL_ISA_IO_BASE)
#define PCI_IO_RESOURCE_END		(INTERNAL_PCI_WINDOW1_BASE -	\
					 EXTERNAL_ISA_IO_BASE +		\
					 INTERNAL_PCI_WINDOW1_SIZE - 1)
#define PCI_MEM_RESOURCE_START		INTERNAL_PCI_WINDOW0_BASE
#define PCI_MEM_RESOURCE_END		(INTERNAL_PCI_WINDOW0_BASE +	\
					 INTERNAL_PCI_WINDOW0_SIZE - 1)

/*
 * ECU SysClock & LClock Max.
 */
#define ECU_SYSCLOCK_MAX		33000000
#define LCLOCK_MAX			33000000

#endif /* __NEC_SMVR4181A_H */
